> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Standard Template By Id

> Get a standard template by id.

Create an API Key from your account to access this endpoint.
Authorization: Bearer sk-presenton-xxxxxxxx



## OpenAPI

````yaml /api-reference/openapi.json get /api/v3/standard-template/{id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v3/standard-template/{id}:
    get:
      tags:
        - V3 Standard Template
      summary: Get Standard Template By Id
      description: |-
        Get a standard template by id.

        Create an API Key from your account to access this endpoint.
        Authorization: Bearer sk-presenton-xxxxxxxx
      operationId: get_standard_template_by_id_api_v3_standard_template__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: Bearer JWT or API Key
            title: Authorization
          description: Bearer JWT or API Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationLayoutModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PresentationLayoutModel:
      properties:
        name:
          type: string
          title: Name
        ordered:
          type: boolean
          title: Ordered
          default: false
        slides:
          items:
            $ref: '#/components/schemas/SlideLayoutModel'
          type: array
          title: Slides
      type: object
      required:
        - name
        - slides
      title: PresentationLayoutModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SlideLayoutModel:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        json_schema:
          additionalProperties: true
          type: object
          title: Json Schema
      type: object
      required:
        - id
        - json_schema
      title: SlideLayoutModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````